View Issue Details

IDProjectCategoryView StatusLast Update
15163Bug reports[All Projects] _ Unknownpublic2019-09-30 16:41
Reporterf_funke Assigned Top_teichmann  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version4.0.0-RC3 
Target Version4.0.0-RC4Fixed in Version4.0.0-RC4 
Summary15163: survey crashes if "save IP address" == "yes" and "show welcome screen" == "off"
Description

Survey crashes on start if you do the following
1) create a new survey with example question
2) select in survey presentation "show welcome screen" == "off"
3) hoose while activating a survey "save IP address" == "yes".

This leads to the following error message:
"500: Internal Server Error
Property "SurveyDynamic.ipaddr" is not defined."

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC3 @ devdemo.limesurvey.org
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionmySQL
Server OS (if known)
Webserver software & version (if known)
PHP Version7.0.33

Activities

p_teichmann

p_teichmann

2019-08-19 18:22

administrator   ~53197

fixed in https://github.com/LimeSurvey/LimeSurvey/commit/7eb424f5239ab4c73daa2ab26e2573874f1a610f

lime_release_bot

lime_release_bot

2019-09-30 16:41

administrator   ~53768

Fixed in Release 4.0.0-RC4+190930

Issue History

Date Modified Username Field Change
2019-08-18 11:25 f_funke New Issue
2019-08-19 10:46 cdorin Assigned To => p_teichmann
2019-08-19 10:46 cdorin Status new => assigned
2019-08-19 18:22 p_teichmann Status assigned => resolved
2019-08-19 18:22 p_teichmann Resolution open => fixed
2019-08-19 18:22 p_teichmann Fixed in Version => 4.0.0-RC4
2019-08-19 18:22 p_teichmann Note Added: 53197
2019-09-24 11:30 c_schmitz Target Version => 4.0.0-RC4
2019-09-30 16:41 lime_release_bot Note Added: 53768
2019-09-30 16:41 lime_release_bot Status resolved => closed